Page MenuHomePhabricator

labs db inconsistent data
Closed, ResolvedPublic

Description

Looks like labsdb1001 and labsdb1003 have different data.

1003
[plwikisource_p]> SELECT count(cl_from) FROM categorylinks WHERE cl_to='Uwierzytelniona';
Gives: 99582

while 1001
Gives: 99623

Live wiki actual page count gives 99624

Event Timeline

Betacommand raised the priority of this task from to Needs Triage.
Betacommand updated the task description. (Show Details)
Betacommand added a project: Toolforge.
Betacommand added a subscriber: Betacommand.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptNov 29 2015, 7:01 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Betacommand updated the task description. (Show Details)Nov 29 2015, 7:07 PM
Betacommand set Security to None.
jcrespo triaged this task as Low priority.Nov 29 2015, 10:54 PM
jcrespo moved this task from Triage to Backlog on the DBA board.
jcrespo reopened this task as Open.Nov 30 2015, 11:18 AM

That ticket has nothing to do with labs- that is a separate issue happening (that happened?) on production.

mzmcbride@tools-bastion-01:~$ mysql -hlabsdb1003.eqiad.wmnet plwikisource_p -e "select count(*) from categorylinks where cl_to = 'Uwierzytelniona';"
+----------+
| count(*) |
+----------+
|    99672 |
+----------+
mzmcbride@tools-bastion-01:~$ mysql -hlabsdb1001.eqiad.wmnet plwikisource_p -e "select count(*) from categorylinks where cl_to = 'Uwierzytelniona';"
+----------+
| count(*) |
+----------+
|    99713 |
+----------+

@MZMcBride you are basically repeating the bug report without giving extra information, such as the count on labs1002.

Yeah, I found the task description a little confusing to read/test. Including the full commands makes testing a bit easier. It looks like labsdb1001.eqiad.wmnet and labsdb1002.eqiad.wmnet are in sync.

Then do not stop there, edit the description :-)

jcrespo claimed this task.Dec 1 2015, 9:50 AM
jcrespo moved this task from Backlog to In progress on the DBA board.
jcrespo closed this task as Resolved.Dec 1 2015, 10:25 AM

I've reimported the table directly from the production master:

mysql -h s3-master plwikisource -e "SELECT count(cl_from) FROM categorylinks WHERE cl_to='Uwierzytelniona'"
+----------------+
| count(cl_from) |
+----------------+
|          99810 |
+----------------+
mysql -h labsdb1001 plwikisource -e "SELECT count(cl_from) FROM categorylinks WHERE cl_to='Uwierzytelniona'"
+----------------+
| count(cl_from) |
+----------------+
|          99810 |
+----------------+
mysql -h labsdb1002 plwikisource -e "SELECT count(cl_from) FROM categorylinks WHERE cl_to='Uwierzytelniona'"
+----------------+
| count(cl_from) |
+----------------+
|          99810 |
+----------------+
mysql -h labsdb1003 plwikisource -e "SELECT count(cl_from) FROM categorylinks WHERE cl_to='Uwierzytelniona'"
+----------------+
| count(cl_from) |
+----------------+
|          99810 |
+----------------+
Zdzislaw reopened this task as Open.Dec 1 2015, 6:04 PM

@jcrespo thank you for reimporting categorylinks table, but... what about the other tables? very important for us are also tables page and templatelinks, try:

plwikisource -e "SELECT count(page_id) FROM page WHERE page_namespace=100 AND page_is_redirect=0"

thank you in advance,

Z.

@Zdzislaw Are those inconsistent?

Betacommand added a comment.EditedDec 1 2015, 6:52 PM

`

tools.betacommand-dev@tools-bastion-01:~$ mysql --defaults-file="${HOME}"/replica.my.cnf -h labsdb1001.eqiad.wmnet plwikisource_p -e "SELECT count(page_id) FROM page WHERE page_namespace=100 AND page_is_redirect=0"
+----------------+
| count(page_id) |
+----------------+
|         241003 |
+----------------+
tools.betacommand-dev@tools-bastion-01:~$ mysql --defaults-file="${HOME}"/replica.my.cnf -h labsdb1002.eqiad.wmnet plwikisource_p -e "SELECT count(page_id) FROM page WHERE page_namespace=100 AND page_is_redirect=0"
+----------------+
| count(page_id) |
+----------------+
|         241003 |
+----------------+
tools.betacommand-dev@tools-bastion-01:~$ mysql --defaults-file="${HOME}"/replica.my.cnf -h labsdb1003.eqiad.wmnet plwikisource_p -e "SELECT count(page_id) FROM page WHERE page_namespace=100 AND page_is_redirect=0"
+----------------+
| count(page_id) |
+----------------+
|         240973 |
+----------------+

`

@Zdzislaw Are those inconsistent?

@jcrespo table page ->, there are still differences between the labsdb1001 and labsdb1003:

plwikisource_p -e "SELECT count(page_id) FROM page WHERE page_namespace=100 AND page_is_redirect=0"

labsdb1001 -> 241599
labsdb1003 -> 241569
Could you reimported page table directly from master?

Thanks,
Z.

jcrespo closed this task as Resolved.Dec 11 2015, 11:56 AM

templatelinks

root@iron:~$ mysql -A -h s$SHARD-master $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+ 
| count(*) | 
+----------+ 
|  2398600 |
+----------+
root@iron:~$ mysql -A -h dbstore1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  2398600 |
+----------+
root@iron:~$ mysql -A -h db1069 -P331$SHARD $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  2398600 |
+----------+
root@iron:~$ mysql -A -h labsdb1001 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  2398600 |
+----------+
root@iron:~$ mysql -A -h labsdb1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  2398600 |
+----------+
root@iron:~$ mysql -A -h labsdb1003 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  2398600 |
+----------+

page

root@iron:~$ mysql -A -h s$SHARD-master $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|   344573 |
+----------+
root@iron:~$ mysql -A -h dbstore1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|   344573 |
+----------+
root@iron:~$ mysql -A -h db1069 -P331$SHARD $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|   344573 |
+----------+
root@iron:~$ mysql -A -h labsdb1001 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|   344573 |
+----------+
root@iron:~$ mysql -A -h labsdb1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|   344573 |
+----------+

pagelinks

root@iron:~$ mysql -A -h s$SHARD-master $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
root@iron:~$ mysql -A -h dbstore1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
root@iron:~$ mysql -A -h db1069 -P331$SHARD $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
root@iron:~$ mysql -A -h labsdb1001 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
root@iron:~$ mysql -A -h labsdb1002 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
root@iron:~$ mysql -A -h labsdb1003 $DATABASE -e "SELECT count(*) FROM $TABLE"
+----------+
| count(*) |
+----------+
|  1998184 |
+----------+
Ankry added a subscriber: Ankry.Dec 14 2015, 10:52 AM